<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>valida js</title>
</head>
<body>
	
	<div class="group-input">
		<label for="">user</label>
		<input type="text" id="user" class="validaData">
	</div>
	<div>
		<label for="">password</label>
		<input type="password" id="password" class="validaData">
	</div>
	<button id="send">validate</button>
	

	<script src="Validate.js" type="text/javascript"></script>
	<script>
		var valida = new Validate();
		document.getElementById('send').addEventListener('click', val)
		function val() {
		
		var x = valida.test({
				general:{
					required: true
				},
				data:[
					{
						fields: '.validaData'
					}
				]
			})

		console.log(x)
		}
	</script>
</body>
</html>